"use strict";

var test = require('tape');
var state = {
  "todos": [{
    "text": "Use Redux",
    "completed": false,
    "id": 0
  }]
};
var reducer = function combination() {
  var state = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
  var action = arguments[1];
  var hasChanged = false;
  var nextState = {};
  for (var i = 0; i < finalReducerKeys.length; i++) {
    var key = finalReducerKeys[i];
    var reducer = finalReducers[key];
    var previousStateForKey = state[key];
    var nextStateForKey = reducer(previousStateForKey, action);
    if (typeof nextStateForKey === 'undefined') {
      var errorMessage = getUndefinedStateErrorMessage(key, action);
      throw new Error(errorMessage);
    }
    nextState[key] = nextStateForKey;
    hasChanged = hasChanged || nextStateForKey !== previousStateForKey;
  }
  return hasChanged ? nextState : state;
};
var equality = function equality(e, t) {
  return e === t;
};
test('expected state returned for each action', function (assert) {
  var actions = [{
    "action": {
      "type": "COMPLETE_TODO",
      "id": 0
    },
    "nextState": {
      "todos": [{
        "text": "Use Redux",
        "completed": true,
        "id": 0
      }]
    }
  }];
  var returnExpectedState = actions.map(function (action) {
    var result = reducer(state, action.action);
    state = result;
    return equality(result, action.nextState);
  });
  assert.ok(returnExpectedState.every(function (expected) {
    return expected;
  }), 'expected state returned for each action');
  assert.end();
});
